<div class="container">
  <div class="toolbar">
    <div><h2>{{nameToolbar}}</h2></div>
    <div class="toolkits">
      <div>
        <div>
          <label for="search">Search</label><br>
          <input type="text" id="search" [(ngModel)]="searchValue" (input)="searchFormEmitter.emit(searchValue)">
        </div>
      </div>
      <div>
        <div>
          <p>Sort by</p>
        </div>
        <select name="sort" [(ngModel)]="selectedSort" (change)="selectedSortEmitter.emit(selectedSort)">
          <option value="none">none</option>
          <option value="name">name</option>
          <option value="date">date</option>
        </select>
      </div>
      <div>
        <div>
          <p>Order by</p>
        </div>
        <select name="order" [value]="'ascending'" [(ngModel)]="selectedOrder" (change)="selectedOrderEmitter.emit(selectedOrder)">
          <option value="ascending">ascending</option>
          <option value="descending">descending</option>
        </select>
      </div>
      <div>
        <button class="add-board" (click)="toggleForm.emit()"></button>
        <div *ngIf="addBoardWindow" class="add-board-window close">
          <div class="add-board-window-form">
            <button class="close" (click)="toggleForm.emit()"></button>
            <h3>{{addName}}</h3>
            <form [formGroup]="form" (ngSubmit)="addPost.emit(form)">
              <input type="text" formControlName="name">
              <input type="text" formControlName="description">
              <button type="submit">Create</button>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

